#pragma once

#include <QtWebEngine>
#include <QtWebEngineWidgets>
#include <QtWidgets/QMainWindow>
#include "ui_FenPrincipale.h"

class FenPrincipale : public QMainWindow
{
	Q_OBJECT

public:
	FenPrincipale(QWidget *parent = Q_NULLPTR);

private slots:
	void on_action_Actualiser_triggered();
	void on_actionPage_d_a_cceuil_triggered();
	void on_action_Fermer_triggered();
	void on_action_A_propos_triggered();
	void on_actionA_porpos_de_Qt_triggered();
	void on_actionNouvel_onglet_triggered();
	void titrerLOnglet(bool etat_OK);
	void on_actionFermer_onglet_triggered();
	void on_actionPage_pr_c_dente_triggered();
	void on_actionPage_suivante_triggered();
	void on_actionArr_ter_le_chargement_triggered();
	void allerA();
	void ongletChange();
	void fermeLOnglet(int index);


private:
	Ui::FenPrincipaleClass ui;

	QUrl* m_pagedAccueil;
	QLineEdit* m_barreAdresse;
	QAction* m_actionAllerA;
	QTabWidget* m_onglets;
	QPushButton* m_plusTab;
	QProgressBar* m_chargement;
	int m_count;

	inline QWebEngineView* pageActuelle();
};
